#
# spec file for package cdemu-client
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cdemu-client
Version:        3.2.5
Release:        1.11
Summary:        Command-line client to control cdemu-daemon
License:        GPL-2.0-or-later
Group:          System/Filesystems
URL:            https://cdemu.sourceforge.io/about/client/

#Git-Clone:	https://github.com/cdemu/cdemu
Source:         https://downloads.sf.net/cdemu/%name-%version.tar.xz
BuildRequires:  cmake >= 3.7
BuildRequires:  gettext-tools >= 0.15
BuildRequires:  gobject-introspection
BuildRequires:  intltool >= 0.21
BuildRequires:  python3
BuildRequires:  pkgconfig(bash-completion)
Requires:       python3
Requires:       python3-dbus-python
Requires:       python3-gobject
BuildArch:      noarch

%description
cdemu-client is a command-line client for controlling cdemu-daemon.

It provides a way to perform the key tasks related to controlling the
CDEmu daemon, such as loading and unloading devices, displaying
devices' status and retrieving/setting their debug masks.

%lang_package

%prep
%setup -q
sed -i "s|/usr/bin/env python3|%_bindir/python3|" src/cdemu

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
	-DCMAKE_INSTALL_LIBDIR:PATH="%_libdir"
%cmake_build

%install
%cmake_install
%find_lang cdemu

%files
%license COPYING
%doc AUTHORS README
%_bindir/cdemu
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.svg
%_datadir/bash-completion/
%_mandir/man1/cdemu.1*

%files lang -f cdemu.lang

%changelog
* Tue Apr 20 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 3.2.5
  * Removed password parameter for security reasons
- Fixed URL
* Fri May  1 2020 Aaron Stern <ukbeast89@protonmail.com>
- Update to release 3.2.4
  * Updated MimeType in .desktop file
* Wed Mar 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Drop the manual typelib() Requires. Add gobject-introspection
  BuildRequires instead and let the system do the magic for us.
- Replace /usr/bin/env shebang of cdemu.
- Drop the empty NEWS file from the files.
* Thu Oct 17 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.2.3
  * Improved setting and retrieval of daemon/library debug masks
  * Fixed a "is no" comparison against a literal
* Wed Jul  3 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 3.2.0
  * Switched to python3.
  * Added "bdr" as valid blank medium type.
  * Implemented "dvd-report-css" ad device option instead of
    image-loading parameter.
* Mon Aug  7 2017 jengelh@inai.de
- Update to new upstream release 3.1.0
  * improved python3 compatibility
  * build scripts cleanup
  * improved handling of localized strings in python 2.7
* Mon Feb  6 2017 jengelh@inai.de
- Update to new upstream release 3.0.3
  * set displayed process name to "cdemu"
  * ported from dbus-python to GDBus
* Mon Nov 23 2015 jengelh@inai.de
- Update to new upstream release 3.0.1
  * build only fixes
* Sun Jul 13 2014 sor.alexei@meowr.ru
- Update to new upstream release 3.0.0
  * cdemu-client now allow the user to create a "blank" disc on
  CDEmu device and write to it using CD/DVD burning software. And
  as a side effect, the image analyzer application also gained
  support for image conversion.
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 2.1.1
  * added handling of bad sector verification option
* Mon Jun 10 2013 jengelh@inai.de
- Update to new upstream release 2.1.0
  * Added support for device addition/removal
* Sat Dec 22 2012 jengelh@inai.de
- Update to new upstream release 2.0.0 (up from 1.5.0)
  * Support for ISZ, CSO, DMG, GBI, ECM, gzip and xz formats
  * Partial support for 1-track MDX
- Remove cdemu-lang.diff, no longer applies
* Wed Dec 19 2012 jengelh@inai.de
- Add Freecode URL
* Wed May  9 2012 jengelh@inai.de
- Initial package for build.opensuse.org
